For the complete documentation index, see llms.txt. This page is also available as Markdown.

Facilities

Returns facilities for the tenant.

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
subtenantsbooleanOptional

If true, result includes users from subtenants

Default: false
Responses
200

OK

TenantCodestring · nullableOptional

Tenant Var Code

FacilityIdstring · nullableOptional

A unique identifier of the facility

FriendlyNamestring · nullableOptional

Facility friendly name

Descriptionstring · nullableOptional

Facility description

KeyContactsstring[] · nullableOptional

Array of email addresses that have to be users from the same tenant

Latitudenumber · double · nullableOptional

Facility latitude

Longitudenumber · double · nullableOptional

Facility longitude

Addressstring · nullableOptional

Facility address

Citystring · nullableOptional

Facility city

Statestring · nullableOptional

Faciliti state

Countrystring · nullableOptional

Facility country

PostalCodestring · nullableOptional

Facility postal code

PrimaryPhonestring · nullableOptional

Primary phone number in international format (starting with '+' and country code)

SecondaryPhonestring · nullableOptional

Secondary phone number in international format (starting with '+' and country code)

MapIconstring · nullableOptional

Map icon, one of the following values: fa-building, fa-building-wheat, fa-building-user, fa-building-shield, fa-building-lock, fa-building-flag, fa-building-columns, fa-car-building, fa-house-building, fa-house, fa-city, fa-shop, fa-store, fa-school, fa-hotel, fa-place-of-worship, fa-hospital, fa-warehouse, fa-industry, fa-warehouse-full, fa-tree-city, fa-apartment, fa-fort, fa-container-storage, fa-tower-observation, fa-tent, fa-oil-well, fa-garage, fa-farm, fa-castle, fa-cabin, fa-user, fa-location-arrow

MarkerColorstring · nullableOptional

Marker color, one of the following values: blue, purple, dark-purple, dark-blue, dark-green, light-orange, yellow, light-green, light-blue, pink, gray, dark-gray

get/V2/{tenantVarCode}/facilities
GET /V2/{tenantVarCode}/facilities HTTP/1.1
Accept: */*
200

OK

[
  {
    "TenantCode": "text",
    "FacilityId": "text",
    "FriendlyName": "text",
    "Description": "text",
    "KeyContacts": [
      "text"
    ],
    "Latitude": 1,
    "Longitude": 1,
    "Address": "text",
    "City": "text",
    "State": "text",
    "Country": "text",
    "PostalCode": "text",
    "PrimaryPhone": "text",
    "SecondaryPhone": "text",
    "MapIcon": "text",
    "MarkerColor": "text"
  }
]

Creates a new facility.

post
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Body
TenantCodestring · nullableOptional

Tenant Var Code

FacilityIdstring · nullableOptional

A unique identifier of the facility

FriendlyNamestring · nullableOptional

Facility friendly name

Descriptionstring · nullableOptional

Facility description

KeyContactsstring[] · nullableOptional

Array of email addresses that have to be users from the same tenant

Latitudenumber · double · nullableOptional

Facility latitude

Longitudenumber · double · nullableOptional

Facility longitude

Addressstring · nullableOptional

Facility address

Citystring · nullableOptional

Facility city

Statestring · nullableOptional

Faciliti state

Countrystring · nullableOptional

Facility country

PostalCodestring · nullableOptional

Facility postal code

PrimaryPhonestring · nullableOptional

Primary phone number in international format (starting with '+' and country code)

SecondaryPhonestring · nullableOptional

Secondary phone number in international format (starting with '+' and country code)

MapIconstring · nullableOptional

Map icon, one of the following values: fa-building, fa-building-wheat, fa-building-user, fa-building-shield, fa-building-lock, fa-building-flag, fa-building-columns, fa-car-building, fa-house-building, fa-house, fa-city, fa-shop, fa-store, fa-school, fa-hotel, fa-place-of-worship, fa-hospital, fa-warehouse, fa-industry, fa-warehouse-full, fa-tree-city, fa-apartment, fa-fort, fa-container-storage, fa-tower-observation, fa-tent, fa-oil-well, fa-garage, fa-farm, fa-castle, fa-cabin, fa-user, fa-location-arrow

MarkerColorstring · nullableOptional

Marker color, one of the following values: blue, purple, dark-purple, dark-blue, dark-green, light-orange, yellow, light-green, light-blue, pink, gray, dark-gray

Responses
200

OK

No content

post/V2/{tenantVarCode}/facilities
POST /V2/{tenantVarCode}/facilities HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 301

{
  "TenantCode": "text",
  "FacilityId": "text",
  "FriendlyName": "text",
  "Description": "text",
  "KeyContacts": [
    "text"
  ],
  "Latitude": 1,
  "Longitude": 1,
  "Address": "text",
  "City": "text",
  "State": "text",
  "Country": "text",
  "PostalCode": "text",
  "PrimaryPhone": "text",
  "SecondaryPhone": "text",
  "MapIcon": "text",
  "MarkerColor": "text"
}
200

OK

No content

Returns single facility.

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

facilityIdstringRequired

Facility Id

Responses
200

OK

TenantCodestring · nullableOptional

Tenant Var Code

FacilityIdstring · nullableOptional

A unique identifier of the facility

FriendlyNamestring · nullableOptional

Facility friendly name

Descriptionstring · nullableOptional

Facility description

KeyContactsstring[] · nullableOptional

Array of email addresses that have to be users from the same tenant

Latitudenumber · double · nullableOptional

Facility latitude

Longitudenumber · double · nullableOptional

Facility longitude

Addressstring · nullableOptional

Facility address

Citystring · nullableOptional

Facility city

Statestring · nullableOptional

Faciliti state

Countrystring · nullableOptional

Facility country

PostalCodestring · nullableOptional

Facility postal code

PrimaryPhonestring · nullableOptional

Primary phone number in international format (starting with '+' and country code)

SecondaryPhonestring · nullableOptional

Secondary phone number in international format (starting with '+' and country code)

MapIconstring · nullableOptional

Map icon, one of the following values: fa-building, fa-building-wheat, fa-building-user, fa-building-shield, fa-building-lock, fa-building-flag, fa-building-columns, fa-car-building, fa-house-building, fa-house, fa-city, fa-shop, fa-store, fa-school, fa-hotel, fa-place-of-worship, fa-hospital, fa-warehouse, fa-industry, fa-warehouse-full, fa-tree-city, fa-apartment, fa-fort, fa-container-storage, fa-tower-observation, fa-tent, fa-oil-well, fa-garage, fa-farm, fa-castle, fa-cabin, fa-user, fa-location-arrow

MarkerColorstring · nullableOptional

Marker color, one of the following values: blue, purple, dark-purple, dark-blue, dark-green, light-orange, yellow, light-green, light-blue, pink, gray, dark-gray

get/V2/{tenantVarCode}/facilities/{facilityId}
GET /V2/{tenantVarCode}/facilities/{facilityId} HTTP/1.1
Accept: */*
200

OK

{
  "TenantCode": "text",
  "FacilityId": "text",
  "FriendlyName": "text",
  "Description": "text",
  "KeyContacts": [
    "text"
  ],
  "Latitude": 1,
  "Longitude": 1,
  "Address": "text",
  "City": "text",
  "State": "text",
  "Country": "text",
  "PostalCode": "text",
  "PrimaryPhone": "text",
  "SecondaryPhone": "text",
  "MapIcon": "text",
  "MarkerColor": "text"
}

Updates facility.

put
Path parameters
tenantVarCodestringRequired

Tenant Var Code

facilityIdstringRequired

Facility Id

Body
TenantCodestring · nullableOptional

Tenant Var Code

FacilityIdstring · nullableOptional

A unique identifier of the facility

FriendlyNamestring · nullableOptional

Facility friendly name

Descriptionstring · nullableOptional

Facility description

KeyContactsstring[] · nullableOptional

Array of email addresses that have to be users from the same tenant

Latitudenumber · double · nullableOptional

Facility latitude

Longitudenumber · double · nullableOptional

Facility longitude

Addressstring · nullableOptional

Facility address

Citystring · nullableOptional

Facility city

Statestring · nullableOptional

Faciliti state

Countrystring · nullableOptional

Facility country

PostalCodestring · nullableOptional

Facility postal code

PrimaryPhonestring · nullableOptional

Primary phone number in international format (starting with '+' and country code)

SecondaryPhonestring · nullableOptional

Secondary phone number in international format (starting with '+' and country code)

MapIconstring · nullableOptional

Map icon, one of the following values: fa-building, fa-building-wheat, fa-building-user, fa-building-shield, fa-building-lock, fa-building-flag, fa-building-columns, fa-car-building, fa-house-building, fa-house, fa-city, fa-shop, fa-store, fa-school, fa-hotel, fa-place-of-worship, fa-hospital, fa-warehouse, fa-industry, fa-warehouse-full, fa-tree-city, fa-apartment, fa-fort, fa-container-storage, fa-tower-observation, fa-tent, fa-oil-well, fa-garage, fa-farm, fa-castle, fa-cabin, fa-user, fa-location-arrow

MarkerColorstring · nullableOptional

Marker color, one of the following values: blue, purple, dark-purple, dark-blue, dark-green, light-orange, yellow, light-green, light-blue, pink, gray, dark-gray

Responses
200

OK

No content

put/V2/{tenantVarCode}/facilities/{facilityId}
PUT /V2/{tenantVarCode}/facilities/{facilityId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 301

{
  "TenantCode": "text",
  "FacilityId": "text",
  "FriendlyName": "text",
  "Description": "text",
  "KeyContacts": [
    "text"
  ],
  "Latitude": 1,
  "Longitude": 1,
  "Address": "text",
  "City": "text",
  "State": "text",
  "Country": "text",
  "PostalCode": "text",
  "PrimaryPhone": "text",
  "SecondaryPhone": "text",
  "MapIcon": "text",
  "MarkerColor": "text"
}
200

OK

No content

Deletes a facility.

delete
Path parameters
tenantVarCodestringRequired

Tenant Var Code

facilityIdstringRequired

Facility Id

Responses
200

OK

No content

delete/V2/{tenantVarCode}/facilities/{facilityId}
DELETE /V2/{tenantVarCode}/facilities/{facilityId} HTTP/1.1
Accept: */*
200

OK

No content

Last updated